<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <title>Text Files Reader</title>
  <script src="js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script src="js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      if (!Modernizr.draganddrop && !window.FileList)
        alert("Your browser dosen't support the API File and Drang & Drop")

      $("#file").change(fileManager);

      function fileManager(e) {
        var file = e.target.files[0];

        if (file.type !== "text/plain") {
          alert("The selected file have to be a text file");
          return;
        }

        var reader = new FileReader();

        reader.onload = function(e) {
          var textResult = e.target.result;
          $("#content").append(textResult);
        }

        reader.readAsText(file);
      }
    })
  </script>
</head>
<body>
  <header>
    <h1>Text Files Reader</h1>
  </header>
  <section>
    <form action="">
      <label for="file">Select a file:</label>
      <input type="file" name="file" id="file">
      <p>File's content:</p>
      <textarea name="content" id="content" cols="100" rows="15"></textarea>
    </form>
  </section>
</body>